Bug 206666 - Add user NOTICE for MAINTAINER=ports@ (≈ unmaintained) ports
Summary: Add user NOTICE for MAINTAINER=ports@ (≈ unmaintained) ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-01-27 08:57 UTC by Colin Percival
Modified: 2016-04-14 15:59 UTC (History)
3 users (show)

See Also:


Attachments
Patch to add a warning about unmaintained ports (596 bytes, patch)
2016-01-27 08:57 UTC, Colin Percival
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Percival freebsd_committer 2016-01-27 08:57:49 UTC
Created attachment 166180 [details]
Patch to add a warning about unmaintained ports

We don't currently warn users about unmaintained ports.  Also, we need a compromise for something to print about portmaster which isn't quite as scary as "deprecated".

The attached patch fixes this.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-27 09:35:24 UTC
I think this kind of change is a great opportunity (and place) to actively seek out/ask for new contributors. I also like the NOTICE level.

MAINTAINER=ports@ ports do not always mean might be removed.

I suggest the following changes to the messaging:

NOTICE: 

$PORTNAME does not currently have a maintainer and may have unresolved
issues or not be up-to-date. If you would like to maintain this port,
please create an issue at: https://bugs.freebsd.org/bugzilla

You can read more about port maintainership here:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Comment 2 Steve Wills freebsd_committer 2016-04-13 03:02:01 UTC
Here's my take on the wording:

The ${PORTNAME} port does not currently have a maintainer and as a result is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. If you would like to volunteer to maintain this port, please create
an issue at: 

https://bugs.freebsd.org/bugzilla

You may read more about port maintainership here:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

If there are no objections, I'll commit it.
Comment 3 Steve Wills freebsd_committer 2016-04-13 03:06:09 UTC
(In reply to Steve Wills from comment #2)

Sorry, with tweak from docs folks:

The ${PORTNAME} port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. If you would like to volunteer to maintain this port, please create
an issue at: 

https://bugs.freebsd.org/bugzilla

You may read more about port maintainership here:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Comment 4 Steve Wills freebsd_committer 2016-04-13 03:17:31 UTC
(In reply to Steve Wills from comment #3)

Sorry, further tweaks.

The ${PORTNAME} port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

Last one I swear. Sound good?
Comment 5 Colin Percival freebsd_committer 2016-04-13 05:33:02 UTC
Sounds fine to me.  I had completely forgotten that I opened this bug...
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-04-13 08:58:11 UTC
- s/removed in the future/removed without notice (ie; call to action/add urgency)
- Would remove 'As a result,'

Otherwise looks great
Comment 7 commit-hook freebsd_committer 2016-04-14 15:47:02 UTC
A commit references this bug:

Author: swills
Date: Thu Apr 14 15:46:20 UTC 2016
New revision: 413270
URL: https://svnweb.freebsd.org/changeset/ports/413270

Log:
  Add user NOTICE for MAINTAINER=ports@

  PR:		206666
  Submitted by:	cperciva

Changes:
  head/Mk/bsd.port.mk
Comment 8 Steve Wills freebsd_committer 2016-04-14 15:59:08 UTC
Committed, thanks!